# Control Center 
---

**The ultimate watch app for the card10!**

You can find further documentation including a short 
video clip here:

http://www.niklasroy.com/micromarble_etc/index.html#controlcenter

If you want to make 'Control Center' your standard app, simply edit 'main.py' and change the 'default_app'-value.

---


## How to use
In order to save power, the watch will only activate when you turn your wrist - or when you charge the card10. 
Needless to say that the display brightness will be also automatically adjusted to the ambient light level.

The buttons have the following functions:
- **Top left:** home menu
- **Bottom left:** choose left
- **Bottom right:** choose right
- **Top right:** select / back

By pushing one of the 'choose'-buttons, you can toggle through the different functions of the app. 
Each which function/item will be highlighted in red. Pushing 'select' on a highlighted function, brings you to a 
dedicated screen of this function. Let's have a look at them one-by-one:


---


## Control Center Functions

### Time

When you have highlighted the current time and press 'select', you are brought to a screen, where you can 
- set the time
- set the date
- set an alarm
- turn the alarm on and off



### Date

When you have highlighted the date and press 'select', an infinite monthly calendar is displayed. 
You can toggle through the months with the choose left & right buttons. Pushing 'select' again brings you back to the main screen.



### Power

When you have highlighted the battery symbol and press 'select', voltage (in V) and charge (in %) are displayed in a graph.
The graph is based on a battery discharge measurement of my card10 but should be also quite good for your card10.

If you push 'choose' again, there'll appear a second screen, which shows all charge and battery related data in numbers.

Pushing 'select' again brings you back to the main screen.



### Weather graph

In the center of the screen is a little graph with a legend right next to it. The graph is a barometer log of the
last three hours. (There will be no graph when you try out the app for the first time, as there are no recordings, yet. 
Obviously, the recording only happens while 'Control Center' is running.)


The legend next to the graph shows the difference between the highest and lowest pressure in the graph in HPA. Below that, it shows
the difference in air pressure in meters (assuming that you were hiking for the last three hours on some small hills,
not too far above the sea level).
The code for this calculation is taken from https://badge.team/projects/barometric_altimeter by Nubesik.


In a third line, the current relative humidity is shown in %.


When you have highlighted the graph and press 'select', you are brought to a 3-hour log of the Barometer and the Hygrometer. 
If you push 'choose' once more, you are brought to a screen which shows the current humidity and air pressure readout as numbers
and in a bargraph. Pushing 'select' brings you back to the main screen.



### Compass

A little compass is shown on the right side on the screen. It points to North (and it usually does a pretty good job). 
The compass is based on the virtual gyroscope of the orientation sensor and combines magnetometer and accelerometer data. 
If the compass is not sure about its accuracy (e.g. if it detects a too strong magnetic field), 
the outlining circle is dashed. If it's sure about it's accuracy, the outlining circle is drawn uninterrupted.

When you have highlighted the compass and press 'select, you are brought to an orientation screen which shows you the compass 
in 3D, it shows you the accuracy (trust) as a bargraph and it shows you values for elevation and roll in °deg. 
The latter ones are useful in case you want to measure the angle of a sloped surface. 
Pushing 'select' brings you back to the main screen.



### Microlauncher

On the bottom of the main screen, you can find the 'Microlauncher'. It's a little menu that lets you launch other apps directly from 
the 'Control Center'. 

When you have highlighted the 'Microlauncher' and press 'select', you can choose an app from your /apps-folder. 
Pressing 'select' again will launch the app. 'Control Center' will remember which app you have launched. The 
next time when you use the microlauncher, this app will be the first in the list.



### Quicklaunch:

Pressing the 'select' button when you are on the main screen will bring you right away to the 'Microlauncher' with
the app that you have launched the last time already selected. Another push on 'select' will start this app. 
Therefore a double-click on 'select', while you are on the main screen, will launch your favourite app right away. 
How convenient is that!? ;)